# fn:string-length

fn:string-length() → integer?

Function signature

Result | xs:integer ?

Returns the number of characters in the string value of the context node

XPath 2.0 Specification

Implemented. Changed in 8.2 to return the length of the string value of the context item, not the length of the typed value.

fn:string-length(string? $srcval) → integer?

Function signature

$srcval | xs:string ?
Result | xs:integer ?

Returns the number of characters in the given string

XPath 2.0 Specification

Expand | Up Next